Listar extratos da conta
curl --request GET \
--url https://api.malvo.io/accounts/{id}/statements \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/accounts/{id}/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/accounts/{id}/statements"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/accounts/{id}/statements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"total": 2,
"totalPages": 1,
"page": 1,
"results": [
{
"id": "a8534c85-53ce-4f21-94d7-50e9d2ee4957",
"monthYear": "01-2025",
"url": "signed-aws-url"
},
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"monthYear": "02-2025",
"url": "signed-aws-url"
}
]
}{
"message": "accountId should not be null or undefined,accountId must be a UUID",
"code": 400
}{
"code": 500,
"codeDescription": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Accounts
Listar extratos da conta
Recupera todos os extratos (PDF) coletados para a conta. O campo url é uma URL assinada válida por 30 minutos. O formato de monthYear é MM-YYYY.
GET
/
accounts
/
{id}
/
statements
Listar extratos da conta
curl --request GET \
--url https://api.malvo.io/accounts/{id}/statements \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/accounts/{id}/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/accounts/{id}/statements"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/accounts/{id}/statements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"total": 2,
"totalPages": 1,
"page": 1,
"results": [
{
"id": "a8534c85-53ce-4f21-94d7-50e9d2ee4957",
"monthYear": "01-2025",
"url": "signed-aws-url"
},
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"monthYear": "02-2025",
"url": "signed-aws-url"
}
]
}{
"message": "accountId should not be null or undefined,accountId must be a UUID",
"code": 400
}{
"code": 500,
"codeDescription": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Authorizations
Chave de API obrigatória em todas as rotas.
Path Parameters
Identificador primário da conta.
Response
Envelope paginado com os extratos.
Envelope de paginação por página (page-based). O campo results é especializado por endpoint.